aboutsummaryrefslogtreecommitdiff
path: root/network/packit/packit.SlackBuild
diff options
context:
space:
mode:
authorMarco Bonetti <sid77@slackware.it>2010-05-13 00:37:48 +0200
committerRobby Workman <rworkman@slackbuilds.org>2010-05-13 00:37:48 +0200
commitf79cf07abb774068fde45f1173f5e17a05688c4f (patch)
tree93b26d89390fa24c782f9afe425866c635f5bcb8 /network/packit/packit.SlackBuild
parent7d32b39cd39d1c063243c95defc9622e156fc74d (diff)
downloadslackbuilds-f79cf07abb774068fde45f1173f5e17a05688c4f.tar.xz
network/packit: Updated for version 1.0
Diffstat (limited to 'network/packit/packit.SlackBuild')
-rw-r--r--network/packit/packit.SlackBuild19
1 files changed, 12 insertions, 7 deletions
diff --git a/network/packit/packit.SlackBuild b/network/packit/packit.SlackBuild
index 3d015ff78f67..2d559e32b4fb 100644
--- a/network/packit/packit.SlackBuild
+++ b/network/packit/packit.SlackBuild
@@ -26,7 +26,7 @@
PRGNAM=packit
VERSION=${VERSION:-1.0}
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -37,10 +37,13 @@ DOCS="ChangeLog LICENSE docs"
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -51,9 +54,6 @@ cd $TMP
rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tgz
cd $PRGNAM-$VERSION
-
-zcat $CWD/tcpdump.patch.gz | patch -p1 --verbose
-
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -61,18 +61,23 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+patch -p1 < $CWD/tcpdump.patch
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
@@ -88,4 +93,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}